Rasa init --no-prompt issue

rasa init --no-prompt Welcome to Rasa! :robot:

To get started quickly, an initial project will be created. If you need some help, check out the documentation at Build contextual chatbots and AI assistants with Rasa.

Created project directory at ‘D:\chatbot\Chatbot_SampleProject’. Finished creating project structure. Training an initial model… Training Core model… Traceback (most recent call last): File “d:\chatbot\rasa-master\rasa-master\rasa\core\policies\ensemble.py”, line 320, in from_dict constr_func = registry.policy_from_module_path(policy_name) File “d:\chatbot\rasa-master\rasa-master\rasa\core\registry.py”, line 21, in policy_from_module_path module_path, lookup_path=“rasa.core.policies.registry” File “d:\chatbot\rasa-master\rasa-master\rasa\utils\common.py”, line 190, in class_from_module_path m = importlib.import_module(lookup_path) File “c:\program files\python36\lib\importlib_init_.py”, line 126, in import_module return _bootstrap._gcd_import(name[level:], package, level) File “”, line 994, in _gcd_import File “”, line 971, in find_and_load File “”, line 955, in find_and_load_unlocked File “”, line 665, in load_unlocked File “”, line 678, in exec_module File “”, line 219, in call_with_frames_removed File “d:\chatbot\rasa-master\rasa-master\rasa\core\policies\registry.py”, line 5, in from rasa.core.policies.embedding_policy import EmbeddingPolicy File “d:\chatbot\rasa-master\rasa-master\rasa\core\policies\embedding_policy.py”, line 22, in from rasa.utils import train_utils File “d:\chatbot\rasa-master\rasa-master\rasa\utils\train_utils.py”, line 9, in from tensor2tensor.models.transformer import ( File "c:\program files\python36\lib\site-packages\tensor2tensor\models_init.py", line 36, in from tensor2tensor.models import mtf_transformer2 File “c:\program files\python36\lib\site-packages\tensor2tensor\models\mtf_transformer2.py”, line 23, in from mesh_tensorflow.transformer import moe File "c:\program files\python36\lib\site-packages\mesh_tensorflow\transformer_init.py", line 23, in import mesh_tensorflow.transformer.dataset File “c:\program files\python36\lib\site-packages\mesh_tensorflow\transformer\dataset.py”, line 94, in import tensorflow_datasets as tfds File "c:\program files\python36\lib\site-packages\tensorflow_datasets_init.py", line 46, in from tensorflow_datasets.core import tf_compat File "c:\program files\python36\lib\site-packages\tensorflow_datasets\core_init.py", line 21, in tf_compat.ensure_tf_install() File “c:\program files\python36\lib\site-packages\tensorflow_datasets\core\tf_compat.py”, line 66, in ensure_tf_install _patch_tf(tf) File “c:\program files\python36\lib\site-packages\tensorflow_datasets\core\tf_compat.py”, line 80, in _patch_tf _patch_for_tf1_13(tf) File “c:\program files\python36\lib\site-packages\tensorflow_datasets\core\tf_compat.py”, line 96, in _patch_for_tf1_13 tf.contrib.autograph.do_not_convert) AttributeError: module ‘tensorflow.compat.v2’ has no attribute ‘contrib’

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “C:\Program Files\Python36\Scripts\rasa-script.py”, line 11, in load_entry_point(‘rasa’, ‘console_scripts’, ‘rasa’)() File “d:\chatbot\rasa-master\rasa-master\rasa_main_.py”, line 76, in main cmdline_arguments.func(cmdline_arguments) File “d:\chatbot\rasa-master\rasa-master\rasa\cli\scaffold.py”, line 195, in run init_project(args, path) File “d:\chatbot\rasa-master\rasa-master\rasa\cli\scaffold.py”, line 113, in init_project print_train_or_instructions(args, path) File “d:\chatbot\rasa-master\rasa-master\rasa\cli\scaffold.py”, line 50, in print_train_or_instructions args.model = rasa.train(domain, config, training_files, output) File “d:\chatbot\rasa-master\rasa-master\rasa\train.py”, line 45, in train kwargs=kwargs, File “c:\program files\python36\lib\asyncio\base_events.py”, line 484, in run_until_complete return future.result() File “d:\chatbot\rasa-master\rasa-master\rasa\train.py”, line 96, in train_async kwargs, File “d:\chatbot\rasa-master\rasa-master\rasa\train.py”, line 182, in _train_async_internal kwargs=kwargs, File “d:\chatbot\rasa-master\rasa-master\rasa\train.py”, line 217, in _do_training kwargs=kwargs, File “d:\chatbot\rasa-master\rasa-master\rasa\train.py”, line 346, in _train_core_with_validated_data kwargs=kwargs, File “d:\chatbot\rasa-master\rasa-master\rasa\core\train.py”, line 43, in train policies = config.load(policy_config) File “d:\chatbot\rasa-master\rasa-master\rasa\core\config.py”, line 28, in load return PolicyEnsemble.from_dict(config_data) File “d:\chatbot\rasa-master\rasa-master\rasa\core\policies\ensemble.py”, line 328, in from_dict “”.format(policy_name) rasa.core.policies.ensemble.InvalidPolicyConfig: Module for policy ‘MemoizationPolicy’ could not be loaded. Please make sure the name is a valid policy.

How to Slove it.

1 Like

Hey @140572, what is the version of tensorflow are you using?